Where can I download SDK2.0 for FRDM-K64F?

cancel
Showing results for 
Search instead for 
Did you mean: 

Where can I download SDK2.0 for FRDM-K64F?

678 Views
guoshengw
Contributor II

pastedImage_1.png

When I using SDK Builder,  SDK version is always KSDK2.2.0,  but I want to use KSDK2.0, how to change the version of SDK?

4 Replies

204 Views
geoffs
Contributor I

I'd also vote for restoring the ability to select a specific version of KSDK from the SDK builder.  There have been several other posts requesting this functionality (eg SDK Builder no longer provides SDK Version option. Hard-coded to latest.  and https://community.nxp.com/thread/450775 ).  For working with existing projects, it is important to be able to retrieve a known version of SDK.  If the SDK builder defaults to the latest version, but allows the user to explicitly select an older version, that would be great.

0 Kudos

204 Views
guoshengw
Contributor II

The reason why I am looking for version 2.0 of the FRDM-K64F SDK is running bubble demo in SDK2.2.0 is not same as in SDK2.0, in SDK2.0, the RGB LED ON/OFF normally, but is always OFF in SDK2.2.0.

0 Kudos

204 Views
Jmart
NXP Employee
NXP Employee

Guosheng,

The SDK builder in MCUXpresso will always provide you the latest SDK for the selected silicon. This will ensure that you have the most up-to-date middleware and drivers for your target device.

Is there a particular reason why you're looking for version 2.0 of the FRDM-K64F SDK? Was there specific functionality that existed in 2.0 that was removed in 2.2.0?

0 Kudos

204 Views
lucasrangit
Contributor III

Jmart‌, I also need to download previous KSDK version to rebuild a legacy project. I cannot upgrade the project to the latest KSDK without significant risk.

The previous SDK Builder UI had the option to specify the SDK version. Is it possible to bring that back?

Thanks!

0 Kudos